{varType Skadmin\FileStorage\FileStorage $fileStorage}
{varType Skadmin\TournamentGame\Doctrine\TournamentResult\TournamentResult $tournamentResult}
{varType Skadmin\FileStorage\FilePreview $filePreview}

{define teamOrUserName}
    {if $teamOrUser === null}
        --
    {elseif $teamOrUser instanceOf Skadmin\TournamentGame\Doctrine\Team\Team}
        {$teamOrUser->getName()} [{$teamOrUser->getNickname()}]

        {if $info}
            - {$info}
        {/if}
    {else}
        {if $teamOrUser->isPublicName()}
            {$teamOrUser->getFullName()}
        {else}
            {$teamOrUser->getNickname()}
        {/if}
    {/if}
{/define}

{define resultTitle}
    <span class="text-orange-semilight font-weight-bold">
        {include #teamOrUserName teamOrUser => $tournamentResult->getSubmitter(), info => $tournamentResult->getSubmitterAdditionalInfo()|trim}
    </span>

    {if $tournamentResult->getOpponent()}
        <span class="text-danger">
            vs
        </span>

        <span class="text-danger font-weight-bold">
            {include #teamOrUserName teamOrUser => $tournamentResult->getOpponent(), info => $tournamentResult->getOpponentAdditionalInfo()|trim}
        </span>
    {/if}
{/define}

<div class="row" n:tag-if="$drawBox">
    <div class="col-12 mb-4" n:tag-if="$drawBox">
        <div class="card shadow" n:tag-if="$drawBox">
            <div class="card-body" n:tag-if="$drawBox">

                {snippet snipForm}
                    {form form class => 'ajax'}
                        <div n:foreach="$form->errors as $error" class="alert alert-danger">{$error}</div>

                        <div class="row">
                            <div class="col-12 col-md" n:ifset="$form['submitter_id']">
                                {label submitter_id}
                                <div class="form-group">
                                    {input submitter_id class => 'form-control'}
                                </div>
                            </div>

                            <div class="col-12 col-md" n:if="$tournament->isResultOpponentRequired()">
                                {label opponent_id}
                                <div class="form-group">
                                    {input opponent_id class => 'form-control'}
                                </div>
                            </div>

                            <div class="col-12 col-md">
                                {label file}
                                <div class="form-group js">
                                    <input n:name="file" class="inputfile inputfile-2" data-multiple-caption="{_'form.tournament-team.front.tournament-result.files {count}'}">
                                    <label for="{$form['file']->getHtmlId()}">
                                        <i class="fas fa-fw fa-file mr-1"></i>
                                        <span>{_'form.upload.file'}</span>
                                    </label>
                                </div>
                            </div>
                        </div>

                        <div class="row">
                            <div class="col-12 ">
                                {label note}
                                <div class="form-group">
                                    {input note class => 'form-control'}
                                </div>
                            </div>
                        </div>

                        <div class="row">
                            <div class="col-12 ">
                                {input send class => 'btn btn-primary w-100 mb-2'}
                            </div>
                        </div>
                    {/form}
                {/snippet}

                <div class="row mt-5">
                    <h3 class="col-12 text-primary">{_'form.tournament-team.front.tournament-result.results'}</h3>
                </div>

                <div class="row mt-3" n:snippet="snipOverview">
                    <div class="col-12 table-responsive">

                        <table class="table table-striped table-hover text-white">
                            <thead>
                            <tr>
                                <th>{_('Zápas / nahráno / poznámka')}</th>
                                <th>{_('Velikost')}</th>
                                <th></th>
                                <th></th>
                            </tr>
                            </thead>

                            <tbody n:inner-foreach="$tournamentResults as $tournamentResult">
                            {var $filePreview = $fileStorage->getFilePreview($tournamentResult->getIdentifier(), $tournamentResult->getFileName(), $tournamentResult->getSizeInUnit())}
                            <tr>
                                <td class="align-middle">
                                    <a n:tag-if="$filePreview->isImage()"
                                            n:href="loadImage! hash => $tournamentResult->getHash()"
                                            data-fancybox="tournament-results"
                                            data-type="image"
                                            data-caption="{include #resultTitle result => $tournamentResult|striptags|trim}">
                                        <i class="fas fa-fw fa-image" n:tag-if="$filePreview->isImage()"></i>
                                        {include #resultTitle result => $tournamentResult|trim}
                                    </a>
                                    <br>
                                    <small class="text-muted">{$tournamentResult->getFileName()}</small>
                                    <br>
                                    <small class="text-muted">{$tournamentResult->getCreatedAt()|date:'d.m.Y H:i'}</small>
                                    <div class="mt-2">{$tournamentResult->getContent()}</div>
                                </td>
                                <td class="align-middle">{$tournamentResult->getSizeInUnit()}</td>
                                <td class="text-center align-middle">
                                    <a n:if="$filePreview->isImage()"
                                            n:href="loadImage! hash => $tournamentResult->getHash()"
                                            data-fancybox="tournament-results-2"
                                            data-type="image"
                                            data-caption="{include #resultTitle result => $tournamentResult|striptags|trim}">
                                        <i class="fas fa-fw fa-search-plus"></i>
                                    </a>
                                </td>
                                <td class="text-center align-middle">
                                    <a n:href="downloadResult! hash => $tournamentResult->getHash()">
                                        <i class="fas fa-fw fa-download"></i>
                                    </a>
                                </td>
                            </tr>
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>